
%define plugin	burn
%define name	vdr-plugin-%plugin
%define version	0.1.0
%define prerel	pre20
%define rel	7
%define release	0.%prerel.%rel

Summary:	VDR plugin: Versatile convert-and-burn plugin
Name:		%name
Version:	%version
Release:	%mkrel %release
Group:		Video
License:	GPL
URL:		http://www.magoa.net/linux/contrib/
Source:		http://www.magoa.net/linux/contrib/vdr-%plugin-%version-%prerel.tar.bz2
Patch1:		burn-0.1.0-pre20-jpackage-java.patch
Patch2:		http://users.tkk.fi/~rahrenbe/vdr/vdr-burn-cvs-srt-support.diff.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
BuildRequires:	imlib2-devel
Requires:	vdr-abi = %vdr_abi
Requires:	vdrsync
Requires:	m2vrequantizer
Requires:	dvdauthor
Requires:	dvd+rw-tools
Requires:	mjpegtools
Requires(post):	vdr-common

%description
This Plugin enables VDR to write compliant DVDs from VDR recordings while
being able to control the process and to watch progress from inside VDRs
on-screen-display. If the selected recordings don't fit the DVD, the video
tracks are requantized (shrinked) automatically.

The created menus support multipage-descriptions (in case the recording
summary exceeds one page).

If you wish to have subtitles support, you have to install packages
projectx and pxsup2dast and enable Project X in the plugin setup menu.

%prep
%setup -q -n %plugin-%version-%prerel
%patch1 -p0 -b .java
%patch2 -p0 -b .srt

%vdr_plugin_params_begin %plugin
# directory for temporary files
# MUST be on UNIX filesystem
var=TEMPDIR
param=--tempdir=TEMPDIR
# directory for temporary datafiles
var=DATADIR
param=--datadir=DATADIR
# DVD writer
var=DVD_DEVICE
param=--dvd=DVD_DEVICE
# ISO image storage directory
# default: %{_localstatedir}/vdr/iso-images
var=ISO_DIR
param=--iso=ISO_DIR
%vdr_plugin_params_end

%build
%vdr_plugin_build ISODIR=%{_localstatedir}/vdr/iso-images

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_bindir}
install -m755 vdrburn-*.sh %{buildroot}%{_bindir}
install -m755 burn-buffers %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}/skins
install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}/counters

install -m644 burn/*.ttf burn/*.png burn/*.mp2 burn/*.ini %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

install -d -m755 %{buildroot}%{_localstatedir}/vdr/iso-images

%clean
rm -rf %{buildroot}

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc CONTRIBUTORS HISTORY history* README
%attr(-,vdr,vdr) %dir %{_vdr_plugin_cfgdir}/%{plugin}
%attr(-,vdr,vdr) %dir %{_vdr_plugin_cfgdir}/%{plugin}/counters
%attr(-,vdr,vdr) %dir %{_localstatedir}/vdr/iso-images
%{_vdr_plugin_cfgdir}/%{plugin}/skins
%{_vdr_plugin_cfgdir}/%{plugin}/*.mp2
%{_vdr_plugin_cfgdir}/%{plugin}/*.ttf
%{_vdr_plugin_cfgdir}/%{plugin}/*.png
%{_vdr_plugin_cfgdir}/%{plugin}/*.ini
%{_bindir}/vdrburn-archive.sh
%{_bindir}/vdrburn-dvd.sh
%{_bindir}/burn-buffers

%changelog
* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-0.pre20.7mdv2007.0
- rebuild for new vdr

* Thu Aug 31 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-0.pre20.6mdv2007.0
- add vdr to cdrom group

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-0.pre20.5mdv2007.0
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-0.pre20.4mdv2007.0
- rebuild for new vdr

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-0.pre20.3mdv2007.0
- rebuild for new vdr

* Wed Jul 19 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-0.pre20.2mdv2007.0
- fix buildrequires

* Mon Jul 17 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-0.pre20.1mdv2007.0
- 0.1.0-pre20
- add note about subtitles to description
- rediff patch1
- patch2: srt support

* Mon Jun 19 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-0.pre18.1mdv2007.0
- initial Mandriva release
